@charset "UTF-8";
/* CSS Document */

.menu-wrap {
	position: fixed;
	top: 0;
	z-index: 1;
}

/* Die Checkbox */
.menu-wrap .toggler {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 2;
	cursor: pointer;
	width: 50px;
	height: 50px;
	opacity: 0;
	vertical-align: middle;
}

/* Äußere Form des Hamburger-Menüs */
.menu-wrap .hamburger {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
	width: 60px;
	height: 60px;
	padding: 1rem;
	display: flex;
	align-items: center;
	justify-content: center;
}

/* Hamburger Linie */
.menu-wrap .hamburger > div {
	position: relative;
	width: 100%;
	height: 3px;
	border-radius: 3px;
	background-color: #a1952c;
	display: flex;
	align-items: center;
	justify-content: center;
	transition: all 0.4s ease;
}

/* Hamburger Linie oben (beide) */
.menu-wrap .hamburger > div:before,
.menu-wrap .hamburger > div:after {
	content: "";
	position: absolute;
	z-index: 1;
	top: -8px;
	width: 100%;
	height: 3px;
	background: inherit;
	border-radius: 3px;
}

/* Hamburger Linie unten */
.menu-wrap .hamburger > div:after {
	top: 8px;
	z-index: 1;
	border-radius: 3px;
	height: 3px;
}

/* Toggler-Animation */
.menu-wrap .toggler:checked + .hamburger > div {
	transform: rotate(135deg);
}

/* Linien zu X */
.menu-wrap .toggler:checked + .hamburger > div:before,
.menu-wrap .toggler:checked + .hamburger > div:after {
	top: 0;
	transform: rotate(90deg);
}

/* Rotation bei hover */
.menu-wrap .toggler:checked:hover + .hamburger > div {
	transform: rotate(225deg);
}

/* Zeige Menü*/
.menu-wrap .toggler:checked ~ .menu {
	visibility: visible;
}

.menu-wrap .toggler:checked ~ .menu > div {
	visibility: visible;
	transform: scale(1);
	transition-duration: var(––menu-speed);
}

.menu-wrap .toggler:checked ~ .menu > div > div {
	opacity: 1;
	transition: opacity 0.4s ease;
}

.menu-wrap .menu {
	position: fixed;
	color: #a1952c;
	top: 0;
	left: 0;
	width: 80%;
	height: auto;
	visibility: hidden;
	overflow: hidden;
	display: flex;
	justify-content: left;
	z-index: 1;
}

.menu-wrap .menu > div {
	background: rgba(255, 255, 255, 0.7);
	border-radius: 0% 0% 5% 0%;
	top: 0;
	left: 0;
	padding: 7em 1em 1em;
	width: 60vw;
	height: auto;
	display: flex;
	flex: none;
	text-transform: uppercase;
	font-weight: 200;
	font-size: 55%;
	align-items: left;
	justify-content: left;
	transform: scale(0);
	transform-origin: 0 0;
	transition: all 0.4s ease;
}

.menu-wrap .menu > div > div {
	text-align: left;
	max-width: 50vw;
	max-height: auto;
	opacity: 0;
	transition: opacity 0.4s ease;
}

.menu-wrap .menu > div > div > ul > li {
	list-style: none;
	color: #001E3D;
	font-size: 1.4rem;
	padding: 0rem 0rem 0rem 0,5rem;
}

.menu-wrap .menu > div > div > ul > li > a {
	color: #001E3D;
	text-decoration: none;
	transition: color 0.4s ease;
}




@media (min-width: 500px) {
	.menu-wrap .menu > div {
	background: rgba(255, 255, 255, 0.7);
	border-radius: 0% 0% 5% 0%;
	padding: 10em 1em 1em;
	width: 28vw;
	height: auto;
	display: flex;
	flex: none;
	text-transform: uppercase;
	font-weight: 200;
	font-size: 100%;
	align-items: right;
	justify-content: right;
	transition: all 0.4s ease;
}
		
}
	
	
	